//---------------------------------------------------------------------------------
// GBA BoyScout sample code for devkitARM - http://www.devkitpro.org
//---------------------------------------------------------------------------------
#include <stdlib.h>
#include <gba.h>
#include <fade.h>
#include <BoyScout.h>

//---------------------------------------------------------------------------------
// header for binary data generated by bin2o macro in makefile
//---------------------------------------------------------------------------------
#include "tune_bgf.h"
#define TUNE tune_bgf


//---------------------------------------------------------------------------------
// header for generated by grit.
//---------------------------------------------------------------------------------
#include "ScoutSplash.h"


//---------------------------------------------------------------------------------
// Program entry point
//---------------------------------------------------------------------------------
int main(void)
//---------------------------------------------------------------------------------
{

	// Set up the interrupt handlers
	irqInit();

	unsigned int nBSSongSize;
	// Initialize BoyScout
	BoyScoutInitialize();

	// Get needed song memory
	nBSSongSize = BoyScoutGetNeededSongMemory(TUNE);

	// Allocate and set BoyScout memory area
	BoyScoutSetMemoryArea((unsigned int)malloc(nBSSongSize));

	// Open song
	BoyScoutOpenSong(TUNE);

	// Play song and loop
	BoyScoutPlaySong(1);

	// Enable Vblank Interrupt to allow VblankIntrWait
	irqEnable(IRQ_VBLANK);
	// Allow Interrupts
	REG_IME = 1;

	SetMode( MODE_4 | BG2_ON );		// screen mode & background to display

	LZ77UnCompVram(ScoutSplashBitmap,(void *)VRAM);

	FadeToPalette( ScoutSplashPal, 60);

	while (1)
	{
		VBlankIntrWait();
	}

	// This part will never be reached but just for completion
	// Free memory
	free((void *)BoyScoutGetMemoryArea());

}
